lucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From robert engels <reng...@ix.netcom.com>
Subject Re: Java 1.5 (was ommented: (LUCENE-565) Supporting deleteDocuments in IndexWriter (Code and Performance Results Provided))
Date Tue, 11 Jul 2006 04:20:35 GMT
Agreed. I think those that are reliant on GCJ should plan on  
expending the effort to do whatever backporting is needed to make  
Lucene work on it. It should also be a GCJ branch or version. Seems  
silly to support 1.5 and not do it this way.


On Jul 10, 2006, at 11:17 PM, Daniel John Debrunner wrote:

> Doug Cutting wrote:
>
>> Since GCJ is effectively available on all platforms, we could say  
>> that
>> we will start accepting 1.5 features when a GCJ release supports  
>> those
>> features.  Does that seem reasonable?
>
> Seems potentially a little strange to me. Does this mean Lucene  
> would be
> limited to the set of 1.5 features actually implemented by GCJ? So if
> there is a 1.5 feature that is not supported by GCJ (while others are)
> it cannot be used?
>
> Seems more natural to support the complete 1.5 as defined by Sun/Java,
> not the subset implemented by one open source compiler.
>
> Dan.
>
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: java-dev-unsubscribe@lucene.apache.org
> For additional commands, e-mail: java-dev-help@lucene.apache.org
>


---------------------------------------------------------------------
To unsubscribe, e-mail: java-dev-unsubscribe@lucene.apache.org
For additional commands, e-mail: java-dev-help@lucene.apache.org


Mime
View raw message